This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 500379 - Regression in reading audit rules
Regression in reading audit rules
Status: CLOSED DUPLICATE of bug 497542
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: audit (Show other bugs)
5.3
All Linux
low Severity high
: rc
: ---
Assigned To: Steve Grubb
BaseOS QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 10:15 EDT by Sachin Prabhu
Modified: 2009-06-15 19:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 15:18:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Prabhu 2009-05-12 10:15:46 EDT
Description of problem:
/etc/audit/audit.rules contain a number of entries similar to this specific example, used on RHEL 4 and RHEL 5 (prior to 5.3):

-a entry,always -S kill -F uid=0 -F a0!=-1 -F a1=1

This works perfectly on versions of audit up to and including 1.6.5-9.el5. Beginning with 1.7.7-6.el5 included in RHEL 5.3, attempting to load this rule results in:

"-F value should be number for a0!=-1"

I have tested this in
RHEL 4 with audit-1.0.15,
RHEL 5.2 with audit-1.5.5-7.el5

But in RHEL 5.3 with audit-1.7.7-6.el5 -
====
# service auditd start
Starting auditd:                                           [  OK  ]
-F value should be number for a0!=-1
There was an error in line 14 of /etc/audit/audit.rules
====

How reproducible:
Everytime. This has also been confirmed against version audit-1.7.7-6.el5_3.3

Steps to Reproduce:
With audit-1.7.7-6.el5 -
====
# service auditd start
Starting auditd:                                           [  OK  ]
-F value should be number for a0!=-1
There was an error in line 14 of /etc/audit/audit.rules
====

Actual results:
-F value should be number for a0!=-1

Expected results:
Audit should start without the error message and take "-1" as numeric value.
Comment 3 Fedora Update System 2009-06-15 19:54:25 EDT
ibus-table-wubi-1.1.0.20090327-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-table-wubi-1.1.0.20090327-5.fc11

Note You need to log in before you can comment on or make changes to this bug.